Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -4278,123 +5082,121 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/LargeVerticalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/LargeVerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.325" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge" >
-                    <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                                <DimOperator op="Multiply">
-                                    <AbsoluteDim value="0.5" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </WidgetDim>
-                </Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                                        <DimOperator op="Multiply">
-                                            <AbsoluteDim value="0.5" />
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </WidgetDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.325" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                            <AbsoluteDim value="0.5" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                                <AbsoluteDim value="0.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="-1">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                                <DimOperator op="Multiply">
-                                    <AbsoluteDim value="0.5" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </AbsoluteDim>
-                </Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.6" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.6" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Height"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+        <Child nameSuffix="__auto_incbtn__" type="TaharezGreenLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.25" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <AbsoluteDim value="-1" />
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                            <AbsoluteDim value="0.5" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.6" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.6" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/VertScrollUpNormal" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollUpNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
-            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
-            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollDownHover" />
-            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
+            <Property name="NormalImage" value="TaharezGreenLook/VertScrollDownNormal" />
+            <Property name="HoverImage" value="TaharezGreenLook/VertScrollDownHover" />
+            <Property name="PushedImage" value="TaharezGreenLook/VertScrollDownNormal" />
         </Child>
-        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge">
-                    <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                        <DimOperator op="Multiply">
-                            <AbsoluteDim value="0.5" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.6" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.6" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Height"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-            </Area>
-            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
-            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollUpHover" />
-            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
+        <Child nameSuffix="__auto_decbtn__" type="TaharezGreenLook/ImageButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.25" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                        <AbsoluteDim value="0.5" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.6" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.6" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/VertScrollUpNormal" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollUpNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+            </Area>
+            <Property name="NormalImage" value="TaharezGreenLook/VertScrollUpNormal" />
+            <Property name="HoverImage" value="TaharezGreenLook/VertScrollUpHover" />
+            <Property name="PushedImage" value="TaharezGreenLook/VertScrollUpNormal" />
         </Child>
-        <Child  type="TaharezGreenLook/LargeVerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.4" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.4" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="VertScrollThumbNormal" dimension="Height">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollThumbNormal" dimension="Width"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+        <Child nameSuffix="__auto_thumb__" type="TaharezGreenLook/LargeVerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.4" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.4" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollThumbNormal" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/VertScrollThumbNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -4403,45 +5205,52 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="VertScrollTop" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="VertScrollBottom" />
-                <Image type="Background" imageset="TaharezGreenLook" image="VertScrollMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="TaharezGreenLook/VertScrollTop" />
+                <Image component="BottomEdge" name="TaharezGreenLook/VertScrollBottom" />
+                <Image component="Background" name="TaharezGreenLook/VertScrollMiddle" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.45" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" >
-                        <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                            <DimOperator op="Add">
-                                <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <AbsoluteDim value="0.5" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </WidgetDim>
-                    </Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
-                                            <DimOperator op="Multiply">
-                                                <AbsoluteDim value="0.5" />
-                                            </DimOperator>
-                                        </ImageDim>
-                                    </DimOperator>
-                                </WidgetDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="VertScrollBarSegment" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.45" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Add">
+                            <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                                <AbsoluteDim value="0.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <OperatorDim op="Add">
+                                <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                                <OperatorDim op="Multiply">
+                                    <ImageDim dimension="Height" name="TaharezGreenLook/VertScrollTop" />
+                                    <AbsoluteDim value="0.5" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/VertScrollBarSegment" />
                 <VertFormat type="Tiled" />
             </ImageryComponent>
@@ -4455,29 +5264,31 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/ImageButton
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/ImageButton">
-        <PropertyDefinition name="NormalImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledImage" initialValue="" redrawOnWrite="true" />
-        <PropertyDefinition name="VertImageFormatting" initialValue="Stretched" redrawOnWrite="true" />
-        <PropertyDefinition name="HorzImageFormatting" initialValue="Stretched" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="NormalImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="HoverImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="PushedImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="" name="DisabledImage" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="VertImageFormatting" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="Stretched" name="HorzImageFormatting" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="NormalImage" />
@@ -4489,8 +5300,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="HoverImage" />
@@ -4502,8 +5321,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="PushedImage" />
@@ -4515,8 +5342,16 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="DisabledImage" />
@@ -4551,28 +5386,24 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/ItemListbox
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/ItemListbox">
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezGreenLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezGreenLook/ListboxRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezGreenLook/ListboxBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -4580,15 +5411,18 @@
         <NamedArea name="ItemRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-12" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezGreenLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezGreenLook/ListboxRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-12" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -4596,15 +5430,18 @@
         <NamedArea name="ItemRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-12" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezGreenLook/ListboxLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezGreenLook/ListboxTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-12" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezGreenLook/ListboxBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
